Package net.shibboleth.shared.spring.servlet

# Interface ChainableFilter

All Superinterfaces:
  `Filter`, `Ordered`

All Known Implementing Classes:
  `CharacterEncodingFilter`, `CookieBufferingFilter`, `DynamicResponseHeaderFilter`, `RequestResponseContextFilter`, `SameSiteCookieHeaderFilter`

public interface ChainableFilter extends Filter, Ordered
Marker interface for filters to be automatically installed via implementation-specific means.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`ChainableFilter.FilterOrder`
An abstraction for modeling filter order.

## Field Summary

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Method Summary

Modifier and Type
Method
Description
`default int`
`getOrder()`

### Methods inherited from interface jakarta.servlet.Filter

`destroy, doFilter, init`

## Method Details

### getOrder

default int getOrder()

Specified by:
  `getOrder` in interface `Ordered`